<template>
  <div class="container">
    <el-button type="primary" style="width: 200px;height: 100px;" @click="goBack(1)">一号龙门架</el-button>
    <el-button type="primary" style="width: 200px;height: 100px;" @click="goBack(2)">二号龙门架</el-button>
    <el-button type="primary" style="width: 200px;height: 100px;" @click="goBack(3)">三号龙门架</el-button>
  </div>
</template>

<script>
export default {
  name: "temppage",
  methods: {
    goBack(index) {
      // 这里可以根据需要传递不同的参数
      // 例如，传递一个设备代码作为查询参数
      // 你可以根据按钮的不同，传递不同的参数
      // 这里假设你有一个设备代码的数组
      const deviceCodes = ["GT01", "GT02", "GT03"];
      const deviceCode = deviceCodes[index - 1]; // 根据按钮的索引获取设备代码

      this.$router.push({
        path: "/bigdata",
        query: { deviceCode: deviceCode }
      });
    }
  }
};
</script>

<style scoped>
.container {
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(1, 1fr);
  gap: 15px;
  padding: 20px;
  background: #f8f9fa;
  justify-content: center;
  align-items: center;
  justify-items: center;
}
</style>